.\"     $NetBSD: sa_enable.2,v 1.3 2004/03/14 20:57:49 wiz Exp $
.\"
.\" Copyright (c)2004 YAMAMOTO Takashi,
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" ------------------------------------------------------------
.Dd March 14, 2004
.Dt SA_ENABLE 2
.Os
.Sh NAME
.Nm sa_enable
.Nd enable scheduler activation
.\" ------------------------------------------------------------
.Sh LIBRARY
.Lb libc
.\" ------------------------------------------------------------
.Sh SYNOPSIS
.In sa.h
.Ft int
.Fn sa_enable
.\" ------------------------------------------------------------
.Sh DESCRIPTION
.Fn sa_enable
is used to enable scheduler activation.
.Pp
An upcall handler and upcall stacks should be registered with
.Fn sa_register
and
.Fn sa_stacks
beforehand.
.\" ------------------------------------------------------------
.Sh RETURN VALUES
On success,
.Fn sa_enable
will not return to userland in the normal way.
It returns into the upcall hander with an
.Dv SA_UPCALL_NEWPROC
upcall.
Otherwise, a value of \-1 is returned and
.Va errno
is set to indicate the error.
.\" ------------------------------------------------------------
.Sh SEE ALSO
.Xr sa_register 2 ,
.Xr sa_stacks 2 ,
.Xr pthread 3
